components:
  schemas:
    Protocol_Protocol:
      enum:
      - PCIe
      - AHCI
      - UHCI
      - SAS
      - SATA
      - USB
      - NVMe
      - FC
      - iSCSI
      - FCoE
      - FCP
      - FICON
      - NVMeOverFabrics
      - SMB
      - NFSv3
      - NFSv4
      - HTTP
      - HTTPS
      - FTP
      - SFTP
      - iWARP
      - RoCE
      - RoCEv2
      - I2C
      - TCP
      - UDP
      - TFTP
      - GenZ
      - MultiProtocol
      - InfiniBand
      - Ethernet
      - NVLink
      - OEM
      - DisplayPort
      - HDMI
      - VGA
      - DVI
      - CXL
      - UPI
      - QPI
      - eMMC
      type: string
      x-enumDescriptions:
        AHCI: Advanced Host Controller Interface (AHCI).
        CXL: Compute Express Link.
        DVI: DVI.
        DisplayPort: DisplayPort.
        Ethernet: Ethernet.
        FC: Fibre Channel.
        FCP: Fibre Channel Protocol for SCSI.
        FCoE: Fibre Channel over Ethernet (FCoE).
        FICON: FIbre CONnection (FICON).
        FTP: File Transfer Protocol (FTP).
        GenZ: GenZ.
        HDMI: HDMI.
        HTTP: Hypertext Transport Protocol (HTTP).
        HTTPS: Hypertext Transfer Protocol Secure (HTTPS).
        I2C: Inter-Integrated Circuit Bus.
        InfiniBand: InfiniBand.
        MultiProtocol: Multiple Protocols.
        NFSv3: Network File System (NFS) version 3.
        NFSv4: Network File System (NFS) version 4.
        NVLink: NVLink.
        NVMe: Non-Volatile Memory Express (NVMe).
        NVMeOverFabrics: NVMe over Fabrics.
        OEM: OEM-specific.
        PCIe: PCI Express.
        QPI: Intel QuickPath Interconnect (QPI).
        RoCE: RDMA over Converged Ethernet Protocol.
        RoCEv2: RDMA over Converged Ethernet Protocol Version 2.
        SAS: Serial Attached SCSI.
        SATA: Serial AT Attachment.
        SFTP: SSH File Transfer Protocol (SFTP).
        SMB: Server Message Block (SMB).  Also known as the Common Internet File System
          (CIFS).
        TCP: Transmission Control Protocol (TCP).
        TFTP: Trivial File Transfer Protocol (TFTP).
        UDP: User Datagram Protocol (UDP).
        UHCI: Universal Host Controller Interface (UHCI).
        UPI: Intel UltraPath Interconnect (UPI).
        USB: Universal Serial Bus (USB).
        VGA: VGA.
        eMMC: Embedded MultiMediaCard (e.MMC).
        iSCSI: Internet SCSI.
        iWARP: Internet Wide Area RDMA Protocol (iWARP).
      x-enumLongDescriptions:
        AHCI: This value shall indicate conformance to the Intel Advanced Host Controller
          Interface (AHCI) Specification.
        CXL: This value shall indicate conformance to the Compute Express Link Specification.
        DVI: This value shall indicate conformance to the Digital Display Working
          Group DVI-A, DVI-D, or DVI-I Specification.
        DisplayPort: This value shall indicate conformance to the VESA DisplayPort
          Specification.
        Ethernet: This value shall indicate conformance to the IEEE 802.3 Ethernet
          specification.
        FC: This value shall indicate conformance to the T11 Fibre Channel Physical
          and Signaling Interface Specification.
        FCP: 'This value shall indicate conformance to the INCITS 481: Information
          Technology - Fibre Channel Protocol for SCSI.'
        FCoE: This value shall indicate conformance to the T11 FC-BB-5 Specification.
        FICON: This value shall indicate conformance to the ANSI FC-SB-3 Single-Byte
          Command Code Sets-3 Mapping Protocol for the Fibre Channel (FC) protocol.  Fibre
          Connection (FICON) is the IBM-proprietary name for this protocol.
        FTP: This value shall indicate conformance to the RFC114-defined File Transfer
          Protocol (FTP).
        GenZ: This value shall indicate conformance to the Gen-Z Core Specification.
        HDMI: This value shall indicate conformance to the HDMI Forum HDMI Specification.
        HTTP: This value shall indicate conformance to the Hypertext Transport Protocol
          (HTTP) as defined by RFC3010 or RFC5661.
        HTTPS: This value shall indicate conformance to the Hypertext Transfer Protocol
          Secure (HTTPS) as defined by RFC2068 or RFC2616, which uses Transport Layer
          Security (TLS) as defined by RFC5246 or RFC6176.
        I2C: This value shall indicate conformance to the NXP Semiconductors I2C-bus
          Specification.
        InfiniBand: This value shall indicate conformance to the InfiniBand Architecture
          Specification-defined InfiniBand protocol.
        MultiProtocol: This value shall indicate conformance to multiple protocols.
        NFSv3: This value shall indicate conformance to the RFC1813-defined Network
          File System (NFS) protocol.
        NVLink: This value shall indicate conformance to the NVIDIA NVLink protocol.
        NVMe: This value shall indicate conformance to the Non-Volatile Memory Host
          Controller Interface Specification.
        NVMeOverFabrics: This value shall indicate conformance to the NVM Express
          over Fabrics Specification.
        OEM: This value shall indicate conformance to an OEM-specific architecture,
          and the OEM section may include additional information.
        PCIe: This value shall indicate conformance to the PCI-SIG PCI Express Base
          Specification.
        QPI: This value shall indicate conformance to the Intel QuickPath Interconnect
          (QPI) protocol.
        RoCE: This value shall indicate conformance to the InfiniBand Architecture
          Specification-defined RDMA over Converged Ethernet Protocol.
        RoCEv2: This value shall indicate conformance to the InfiniBand Architecture
          Specification-defined RDMA over Converged Ethernet Protocol version 2.
        SAS: This value shall indicate conformance to the T10 SAS Protocol Layer Specification.
        SATA: This value shall indicate conformance to the Serial ATA International
          Organization Serial ATA Specification.
        SFTP: This value shall indicate conformance to the RFC114-defined SSH File
          Transfer Protocol (SFTP) that uses Transport Layer Security (TLS) as defined
          by RFC5246 or RFC6176.
        SMB: This value shall indicate conformance to the Server Message Block (SMB),
          or Common Internet File System (CIFS), protocol.
        TCP: This value shall indicate conformance to the IETF-defined Transmission
          Control Protocol (TCP).  For example, RFC7414 defines the roadmap of the
          TCP specification.
        TFTP: This value shall indicate conformance to the IETF-defined Trivial File
          Transfer Protocol (TFTP).  For example, RFC1350 defines the core TFTP version
          2 specification.
        UDP: This value shall indicate conformance to the IETF-defined User Datagram
          Protocol (UDP).  For example, RFC768 defines the core UDP specification.
        UHCI: This value shall indicate conformance to the Intel Universal Host Controller
          Interface (UHCI) Specification, Enhanced Host Controller Interface Specification,
          or the Extensible Host Controller Interface Specification.
        UPI: This value shall indicate conformance to the Intel UltraPath Interconnect
          (UPI) protocol.
        USB: This value shall indicate conformance to the USB Implementers Forum Universal
          Serial Bus Specification.
        VGA: This value shall indicate conformance to the VESA SVGA Specification.
        eMMC: This value shall indicate conformance to the JEDEC JESD84-B51A specification.
        iSCSI: This value shall indicate conformance to the IETF Internet Small Computer
          Systems Interface (iSCSI) Specification.
        iWARP: This value shall indicate conformance to the RFC5042-defined Internet
          Wide Area RDMA Protocol (iWARP) that uses the transport layer mechanisms
          as defined by RFC5043 or RFC5044.
      x-enumVersionAdded:
        CXL: '2022.3'
        DVI: '2021.1'
        DisplayPort: '2021.1'
        Ethernet: '2020.3'
        FCP: '2017.1'
        FICON: '2017.1'
        GenZ: '2019.4'
        HDMI: '2021.1'
        I2C: '2018.2'
        InfiniBand: '2020.3'
        MultiProtocol: '2019.4'
        NVLink: '2021.1'
        OEM: '2018.1'
        QPI: '2023.2'
        RoCE: '2017.3'
        RoCEv2: '2017.3'
        TCP: '2019.3'
        TFTP: '2019.3'
        UDP: '2019.3'
        UPI: '2023.2'
        VGA: '2021.1'
        eMMC: '2024.1'
        iWARP: '2017.3'
title: '#Protocol'
x-copyright: Copyright 2014-2024 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-language: en
x-owningEntity: DMTF
x-release: '2017.3'
